% Author: Veronika Svozilova
% Institution: The University Hospital Brno
% Personal e-mail adress: fauxpas.gkj@gmail.com

% function 'title_of_normalised_gait_cycles' is the auxiliary function which helps to name the output preprocessed data
% acording to the standard created by us   
function [name_final_left, name_final_right, T, T2] = title_of_normalised_gait_cycles(name, right_data_xyz, left_data_xyz)

% creating the ending of the name for the output .csv files of the right lower limb
ending = '-R';
name_final_right = strcat(name, ending);

% creating the ending of the name for the output .csv files of the left lower limb
ending2 = '-L';
name_final_left = strcat(name, ending2);

% variables 'T' and 'T2' are the auxiliary varibles serving to save the output
% preprocessed data into the table format
T = cell2table(right_data_xyz);
T2 = cell2table(left_data_xyz);

end

